type rect = {
  x : int ;
  y : int ;
  w : int ;
  h : int ;
} ;;

let default_rect = {
  x = 0 ;
  y = 0 ;
  w = 0 ;
  h = 0 ;
} ;;

(* graphing constants *)
let __width__ = 1200
and __height__ = 900 ;;
let open_string = " 1200x900" ;;

(* camera *)
let camx = ref 0
and camy = ref 0 ;;

(* time step *)
let sleep_d = 0.01 ;;

(* math *)
let difficulty = ref 1 ;;
let calc_length = ref 3 ;;
let time_to_ans = ref 10 ;;
let n_inf = ref 1 ;;
let n_sup = ref 10 ;;

let time_to_ans_f = ref 10.0 ;;

let score = ref 0
and combo = ref 0
and max_combo = ref 0 ;;